@import '../../styles/colors.scss';

@-webkit-keyframes pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0 $red;
  }
  70% {
      -webkit-box-shadow: 0 0 0 6px lighten($red, 80%);
  }
  100% {
      -webkit-box-shadow: 0 0 0 0 lighten($red, 80%);
  }
}
@keyframes pulse {
  0% {
    -moz-box-shadow: 0 0 0 0 $red;
    box-shadow: 0 0 0 0 $red;
  }
  70% {
      -moz-box-shadow: 0 0 0 6px lighten($red, 80%);
      box-shadow: 0 0 0 6px lighten($red, 80%);
  }
  100% {
      -moz-box-shadow: 0 0 0 0 lighten($red, 80%);
      box-shadow: 0 0 0 0 lighten($red, 80%);
  }
}

.que-text-box {
  display: flex;
  flex-direction: column;
  width: 200px;

  &.optional {
    font-style: italic;
  }

  input {
    &.required {
      border-color: $red;
      box-shadow: 0 0 0 $red;
      animation: pulse 1.8s infinite cubic-bezier(0.66, 0, 0, 1);;
    }
  }
}
